
GammaLib - Feature #692

Perform an extensive interface review of all classes

01/12/2013 05:15 PM - Knödlseder Jürgen

Status: Closed Start date: 01/12/2013

Priority: Urgent Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 204.00 hours

Target version: 00-08-00   

Description

We should review the interfaces of all classes to make sure that all interfaces are homogeneous and also complete. This is an

important step towards the first stable release which will enter under interface control.

Here a couple of principles that should be respected during interface review:

Each class should have a constructor that allows one-line construction of a meaningful objects.

This makes programming much easier, and prevents the need for a two step process for object creation (allocation and setting).

The object constructor should take the most relevant parameters as arguments. Specific attributes can always be set using

additional methods.

If a class has an assignment method that assigns n elements of a given type (such as the std::vector.assign() method), the first

argument is the number of elements n, followed by the element.

Subtasks:

Action # 771: Review app module classes Closed

Action # 770: Review obs module classes Closed

Action # 772: Review fits module classes Closed

Action # 774: Review sky module classes Closed

Action # 777: Review test module classes Closed

Action # 778: Review numerics module classes Closed

Action # 779: Review support module classes Closed

Action # 775: Review linalg module classes Closed

Action # 773: Review model module classes Closed

Action # 693: Review interface for GModelSpectral classes Closed

Action # 776: Review opt module classes Closed

Action # 808: Support also non-factorized sky models. Closed

Action # 769: Review xml module classes Closed

Action # 818: Add chatter level to print() methods Closed

Action # 1035: Review COM interface Closed

Action # 1034: Review MWL interface Closed

Action # 1033: Review CTA interface Closed

Action # 1032: Review LAT interface Closed

Related issues:

Related to GammaLib - Change request # 689: GXmlNode append method should clo... Closed 01/11/2013

Related to GammaLib - Action # 768: Add GContainer interface class Closed 12/15/2012

History

#1 - 01/12/2013 05:16 PM - Knödlseder Jürgen

- Target version set to 00-08-00

#2 - 02/19/2013 03:34 PM - Knödlseder Jürgen

- Status changed from New to In Progress

#3 - 02/19/2013 03:34 PM - Knödlseder Jürgen

05/04/2024 1/2



- Assigned To set to Knödlseder Jürgen

#4 - 02/19/2013 03:51 PM - Knödlseder Jürgen

- Description updated

#5 - 12/11/2013 08:28 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed
